<?php

    $kids_online_store_theme_css= "";

    /*-------------------- Global First Color -------------------*/
    $kids_online_store_theme_color_one = get_theme_mod('kids_online_store_theme_color_one');
    $kids_online_store_theme_color_two = get_theme_mod('kids_online_store_theme_color_two');

    if ($kids_online_store_theme_color_one) {
        $kids_online_store_theme_css .= ':root {';
        $kids_online_store_theme_css .= '--first-color: ' . esc_attr($kids_online_store_theme_color_one) . ' !important;';
        $kids_online_store_theme_css .= '} ';
    }

    if ($kids_online_store_theme_color_two) {
        $kids_online_store_theme_css .= ':root {';
        $kids_online_store_theme_css .= '--second-color: ' . esc_attr($kids_online_store_theme_color_two) . ' !important;';
        $kids_online_store_theme_css .= '} ';
    }

    /*------------------ Nav Menus -------------------*/

    $kids_online_store_nav_menu = get_theme_mod( 'kids_online_store_nav_menu_text_transform','Uppercase');
    if($kids_online_store_nav_menu == 'Capitalize'){
        $kids_online_store_theme_css .='.main-navigation .menu > li > a{';
            $kids_online_store_theme_css .='text-transform:Capitalize;';
        $kids_online_store_theme_css .='}';
    }
    if($kids_online_store_nav_menu == 'Lowercase'){
        $kids_online_store_theme_css .='.main-navigation .menu > li > a{';
            $kids_online_store_theme_css .='text-transform:Lowercase;';
        $kids_online_store_theme_css .='}';
    }
    if($kids_online_store_nav_menu == 'Uppercase'){
        $kids_online_store_theme_css .='.main-navigation .menu > li > a{';
            $kids_online_store_theme_css .='text-transform:Uppercase;';
        $kids_online_store_theme_css .='}';
    }

    $kids_online_store_menu_font_size = get_theme_mod( 'kids_online_store_menu_font_size');
    if($kids_online_store_menu_font_size != ''){
        $kids_online_store_theme_css .='.main-navigation .menu > li > a{';
            $kids_online_store_theme_css .='font-size: '.esc_attr($kids_online_store_menu_font_size).'px;';
        $kids_online_store_theme_css .='}';
    }

    $kids_online_store_nav_menu_font_weight = get_theme_mod( 'kids_online_store_nav_menu_font_weight',400);
    if($kids_online_store_menu_font_size != ''){
        $kids_online_store_theme_css .='.main-navigation .menu > li > a{';
            $kids_online_store_theme_css .='font-weight: '.esc_attr($kids_online_store_nav_menu_font_weight).';';
        $kids_online_store_theme_css .='}';
    }

    /*--------------------------- Preloader color -------------------*/
    $kids_online_store_preloader2_dot_color = get_theme_mod( 'kids_online_store_preloader2_dot_color');
    if( $kids_online_store_preloader2_dot_color != '') {
        $kids_online_store_theme_css .='.load hr {';
            $kids_online_store_theme_css .='background-color: '. $kids_online_store_preloader2_dot_color. ';';
        $kids_online_store_theme_css .='}';
    }